/* =========================================================================================================
  Script GPS
  Version: 3.1
  Auteur: The-KiLLeR (www.clan-ado.fr / killouze@hotmail.fr)
========================================================================================================= */
if (isServer) exitWith {};
/*
	Afficher juste les chefs de groupe
	0 : Dsactiv
	1 : Activ
*/
_afficherChefs = 0;

/*
	0 : Tous les camps
	1 : Les camps slectionns dans "_listeCamps" :
			[west,east] - [west,resistance] - [east,resistance] - [west,east,resistance] - [west,east,civilian] - ...
	2 : Son camp uniquement
*/
_afficherCamps = 0;
_listeCamps = [];

/*
	Afficher marqueur rouge si en attente de ranimation avec REVIVE ADO
	0 : Dsactiv
	1 : Activ
*/
_reviveADO = 0;

/*
	Personnaliser la couleur de vos marqueurs selon le camp
*/
_couleur_west = "ColorBlue";
_couleur_east = "ColorRed";
_couleur_guer = "ColorGreen";
_couleur_civ = "ColorWhite";
_couleur_joueur = "ColorOrange";
_couleur_groupe = "ColorGreen";

// ---------- NE PAS TOUCHER ----------	
// Liste des marqueurs
_listeMarqueurs = [];

while {true} do {

	_campJoueur = side player;

	// Liste des joueurs
	_listeJoueurs = [];

	if (isMultiplayer) then {
		_listeJoueurs = playableUnits;
	} else {
		_listeJoueurs = allUnits;
	};
	
	// Cration du GPS
	{
		_nomMarqueur = format["ADO_marqueur_%1",_x];
		_camp = side _x;
		_couleur = call compile format["_couleur_%1",_camp];
	
		if (((_afficherCamps == 2 && (_campJoueur == _camp || (_campJoueur == _camp && _reviveADO == 1 && _camp == civilian))) || (_afficherCamps == 1 && (_camp in _listeCamps || (_reviveADO == 1 && _camp == civilian))) || (_afficherCamps == 0)) && ((_afficherChefs == 1 && leader  _x == _x) || (_afficherChefs == 0))) then {
		
			if (markerType _nomMarqueur == "") then {
				// Cration marqueur
				_marqueur = createMarkerLocal [_nomMarqueur, getPos _x];
				_marqueur setMarkerTypeLocal "arrow";
				_marqueur setMarkerSizeLocal [0.5, 0.5];
				_marqueur setMarkerColorLocal _couleur;
				_marqueur setMarkerTextLocal (name _x);
				
				_listeMarqueurs = _listeMarqueurs + [_nomMarqueur];
				
			} else {
				// Dplacement marqueur
				_dir = getDir _x;
				_type = "arrow";
				_taille = [0.5, 0.5];
				
				if (player == _x) then {
					_couleur = _couleur_joueur;
				};
				if (_x in (units group player) && (_x != player)) then {
					_couleur = _couleur_groupe;
				};
				if ((_reviveADO == 1) && (_camp == civilian)) then {
					_couleur = "ColorRed";
					_type = "destroyedVehicle";
					_taille = [0.7, 0.7];
				};
				
				if(vehicle _x != _x) then {
					if (((crew (vehicle _x)) select 0 == _x) || (_afficherChefs == 1)) then {
						_dir = 0;
						_taille = [0.7, 0.7];
						
						if ((vehicle _x) isKindOf "Tank") then {
							_type = "Tank";
						};
						if ((vehicle _x) isKindOf "Air") then {
							_type = "Air";
						};
						if ((vehicle _x) isKindOf "Car") then {
							_type = "Car";
						};
						if ((vehicle _x) isKindOf "Ship") then {
							_type = "Boat";
						};
					} else {
						_type = "empty";
					};
				};
				
				_nomMarqueur setMarkerPosLocal (getPos _x);
				_nomMarqueur setMarkerDirLocal _dir;
				_nomMarqueur setMarkerTypeLocal _type;
				_nomMarqueur setMarkerColorLocal _couleur;
				_nomMarqueur setMarkerSizeLocal _taille;
				_nomMarqueur setMarkerTextLocal (name _x);
			};
		};
	} forEach _listeJoueurs;

	// Suppression des marqueurs inactifs
	_listeMarqueursActuelle = [];
	{
		_nomMarqueur = format["ADO_marqueur_%1",_x];
		_listeMarqueursActuelle = _listeMarqueursActuelle + [_nomMarqueur];
	} forEach _listeJoueurs;
	
	{
		if (!(_x in _listeMarqueursActuelle)) then {
			deleteMarkerLocal _x;
		};
	} forEach _listeMarqueurs;
	
	_listeMarqueurs = _listeMarqueursActuelle;

	sleep 0.5;
};